CFPRIME INUSER                                                          INUSER      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*               Output Analysis Program for ETMSP (OAP)               *RIGHTE      4
C*               =======================================               *RIGHTE      5
C*                                                                     *RIGHTE     11
C*        copyright @(1993) Electric Power Research Institute          *RIGHTE     12
C*                                                                     *RIGHTE     13
C* EPRI reserves all rights in the software and associated             *RIGHTE     14
C* documentation as delivered. The software and its associated         *RIGHTE     15
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     16
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     17
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     18
C* of any changes or modifications to the software within two (2)      *RIGHTE     19
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     20
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     21
C* new designation sufficiently different from its then current        *RIGHTE     22
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     23
C* the current software as changed or modified.                        *RIGHTE     24
C*                                                                     *RIGHTE     25
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     26
C* directly from EPRI.                                                 *RIGHTE     27
C*                                                                     *RIGHTE     28
C* This program and supporting materials may be independently available*RIGHTE     29
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     30
C* distribution fee. The EPSC is a service of                          *RIGHTE     31
C*                                                                     *RIGHTE     32
C*                    Power Computing Company                          *RIGHTE     33
C*                    1930 Hi Line                                     *RIGHTE     34
C*                    Dallas, Tx 75207                                 *RIGHTE     35
C*                                                                     *RIGHTE     36
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     37
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     38
C*                                                                     *RIGHTE     39
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     40
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     41
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     42
C*    DOCUMENTATION; OR                                                *RIGHTE     43
C*                                                                     *RIGHTE     44
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     45
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     46
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     47
C*                                                                     *RIGHTE     48
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     49
C* THEREOF.                                                            *RIGHTE     50
C*                                                                     *RIGHTE     51
C***********************************************************************RIGHTE     52
C                                                                       INUSER      3
      SUBROUTINE INUSER(STRING,IS,ICFRUN)                               INUSER      4
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCINUSER      5
CD                                                                      INUSER      6
CD           THIS ROUTINE READS COMMAND FROM INPUT DEVICE               INUSER      7
CD                                                                      INUSER      8
CD           CALLING PARAMETERS :                                       INUSER      9
CD                                                                      INUSER     10
CD                      STRING  -  COMMAND LINE                         INUSER     11
CD                      IS      -  I/O ERROR STATUS                     INUSER     12
CD                                 0 : NO ERROR IN READING THE COMMAND  INUSER     13
CD                                -1 : ERROR IN READING THE COMMAND     INUSER     14
CD                      ICFRUN  -  0 : CHECK IF COMMAND IS FILRUN       INUSER     15
CD                                     AND SET IT TO 1 ON EXIT          INUSER     16
CD                                -1 : DO NOT CHECK                     INUSER     17
CD                                                                      INUSER     18
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCINUSER     19
      INCLUDE 'SOAPC1.INS'                                              INUSER     20
      CHARACTER*50 XX                                                   INUSER     21
      CHARACTER*80 STRING,CHRBUF                                        INUSER     22
C                                                                       INUSER     23
      CONTINUE                                                          INUSER     24
      IS=0                                                              INUSER     25
 10   IF(LIN.EQ.LPIN)  CALL SCRPMT(LOUT,PROMPT,7)                       INUSER     26
 20   CONTINUE                                                          INUSER     27
      READ(LIN,5000,END=1000)STRING                                     INUSER     28
      IK=IFNBLK(STRING,79)                                              INUSER     29
      IF(IK.EQ.0)GOTO 10                                                INUSER     30
      CHRBUF=STRING(IK:80)                                              INUSER     31
      STRING=CHRBUF                                                     INUSER     32
      CALL SETCAP(STRING)                                               INUSER     33
      IF(STRING(1:1).EQ.'?') THEN                                       INUSER     34
         IF(RECORD) WRITE(IREC,5000) STRING                             INUSER     35
         GOTO 20                                                        INUSER     36
      ENDIF                                                             INUSER     37
      IF(ICFRUN.EQ.0)THEN                                               INUSER     38
        IF(STRING(1:4).EQ.'FRUN')ICFRUN=1                               INUSER     39
      ENDIF                                                             INUSER     40
      GOTO 2000                                                         INUSER     41
C                                                                       INUSER     42
 1000 CONTINUE                                                          INUSER     43
      XX=' '                                                            INUSER     44
      CALL SWTERM(ISTAT,XX,0)                                           INUSER     45
      IS=ISTAT                                                          INUSER     46
 2000 CONTINUE                                                          INUSER     47
      RETURN                                                            INUSER     48
 5000 FORMAT(A)                                                         INUSER     49
      END                                                               INUSER     50
                                                                        INUSER     51
